%parts/parts-timpani.ly% TIMBALES

% incipit https://www.linuxjournal.com/article/8364

TimpaniIncipitI=\markup\score{
  \new Staff\with{\remove "Time_signature_engraver"}
  {
    \cadenzaOn
    \clef bass
    \hide Stem
    a,4
    <g, c>
    <d aes, c>
    a,!
    <aes, des es,>
    <aes,! ges, f,>
  }
  \layout {
    indent=0
    line-width = 90\mm
  }
}

TimpaniIncipitII=\markup\score{
  \new Staff\with{\remove "Time_signature_engraver"}
  {
    \cadenzaOn
    \clef bass
    \hide Stem
    <c g>4
  }
  \layout {
    indent=0
    line-width = 25\mm
  }
}

TimpaniIncipitIII=\markup\score{
  \new Staff\with{\remove "Time_signature_engraver"}
  {
    \cadenzaOn
    \clef bass
    \hide Stem
    <b, e fis,>4
    <c f! g,>
  }
  \layout {
    indent=0
    line-width = 35\mm
  }
}

\book {
  \header {
    instrument = \markup\cajaInstr "Timbales"
    shortInstrument = \instrument
  }
  %%%%%%%%%%%% I
  \score {
    \new Staff \with { \partWith instrumentName = \TimpaniIncipitI }
    \removeWithTag #'score
    << \globalI { \common \clef bass \timpaniI } >>
    \header { piece=\nombrePiezaUno }
    \layout { indent = 100\mm }
  }

  %%%%%%%%%%%% II
  \score {
    \new Staff \with { \partWith instrumentName = \TimpaniIncipitII }
    \removeWithTag #'score
    << \globalII { \common \clef bass \timpaniII } >>
    \header {
      breakbefore = ##f
      piece=\nombrePiezaDos
    }
    \layout { indent = 35\mm }
  }

  %%%%%%%%%%%% III
  \score {
    \new Staff \with { \partWith instrumentName = \TimpaniIncipitIII }
    \removeWithTag #'score
    << \globalIII { \common \clef bass \timpaniIII } >>
    \header {
      breakbefore = ##f
      piece=\nombrePiezaTres
    }
    \layout { indent = 40\mm    }
  }
  \paper{
    \partsPaper
    % horror: afecta a la general
    % page-breaking = #ly:minimal-breaking
  }
}
