% I/notes.ly

\include "piccolo.ily"  % piccoloI
\include "fluteOne.ily" % fluteOneI
\addQuote "quoteFluteOneI" \fluteOneI

\include "fluteTwo.ily"  % fluteTwoI
\include "clarinetOne.ily"  % clarinetOneI
\addQuote "quoteClarinetOneI" \clarinetOneI

\include "clarinetTwo.ily"  % clarinetTwoI
%Bass Clarinet in Bb Sounds one Major 9th lower than written
\include "Bclarinet.ily"  % BclarinetI
\include "oboeOne.ily" % oboeOneI
\include "oboeTwo.ily"  % oboeTwoI
\addQuote "quoteOboeUnoI" \oboeOneI
\addQuote "quoteOboesI" { << \oboeOneI \oboeTwoI >> }

%englishHornI = {  \include "englishHorn.ily" }

\include "bassoonOne.ily" % bassoonOneI
\addQuote "quoteBassoonOneI" \bassoonOneI

\include "bassoonTwo.ily" % bassoonTwoI
\include "contraBassoon.ily" % contraBassoonI

%%%%%%%%% BRASS
\include "trumpetOne.ily" % trumpetOneI
\include "trumpetTwo.ily"  % trumpetTwoI
\include "frenchHornOne.ily"  % frenchHornOneI
\include "frenchHornTwo.ily" % frenchHornTwoI
\include "frenchHornThree.ily" % frenchHornThreeI
\include "frenchHornFour.ily"  % frenchHornFourI
\include "tromboneOne.ily"  % tromboneOneI
\include "tromboneTwo.ily" % tromboneTwoI

% Bombo, timbales, campanas tubulares,
% platos, tamtam, cajas chinas quizás...

\include "plato.ily" % platoI

%percussion
%timpani
%bassDrum
%tubularBells
%clashCym
%tamtam


\include "timpani.ily" % timpaniI
\addQuote "quoteTimpaniI" { \transpose c c'\timpaniI }

\include "crotalos.ily" % crotalosI
\include "bassDrum.ily" % bassDrumI
\include "caja.ily" % cajaI
\include "tubularBells.ily" % tubularBellsI
\include "clashCym.ily" % clashCymI
\include "tamtam.ily" % tamtamI
\include "triangle.ily" % triangleI

\include "percussionCues.ily" %percussionCuesI

% 2 Pianos

\include "pianoOneMd.ily" % pianoOneMdI
\include "pianoOneMi.ily" % pianoOneMiI
\include "pianoTwoMd.ily" % pianoTwoMdI
\include "pianoTwoMi.ily" % pianoTwoMiI

%Strings
\include "violinUno.ily" % violinOneI
\include "violinDos.ily" % violinTwoI
\include "viola.ily" % violaI
\include "cello.ily" % celloI
\include "contrabajo.ily"  % doubleBassI

\include "cueStrings.ly" % cueStringsI
\addQuote "quoteStringsI" { \cueStringsI }